/*
 * Copyright (c) 2005 Alexander Gottwald
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * THE ABOVE LISTED COPYRIGHT HOLDER(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR
 * OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
 * ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 *
 * Except as contained in this notice, the name(s) of the above copyright
 * holders shall not be used in advertising or otherwise to promote the sale,
 * use or other dealings in this Software without prior written authorization.
 */

#define IDC_STATIC -1

#define IDD_WELCOME             100
#define IDD_FINISH              101
#define IDD_DISPLAY             102
#define IDD_CLIENTS             103
#define IDD_PROGRAM             104
#define IDD_XDMCP               105
#define IDD_CLIPBOARD           107

#define IDS_DISPLAY_TITLE       300
#define IDS_DISPLAY_SUBTITLE    301
#define IDS_CLIENTS_TITLE       302
#define IDS_CLIENTS_SUBTITLE    303
#define IDS_PROGRAM_TITLE       304
#define IDS_PROGRAM_SUBTITLE    305
#define IDS_XDMCP_TITLE         306
#define IDS_XDMCP_SUBTITLE      307
#define IDS_FINISH_TITLE        310
#define IDS_FINISH_SUBTITLE     311
#define IDS_CLIPBOARD_TITLE     312
#define IDS_CLIPBOARD_SUBTITLE  313
#define IDS_PASSWORD_TITLE      314
#define IDS_PASSWORD_SUBTITLE   315
#define IDS_SAVE_TITLE          320
#define IDS_SAVE_FILETITLE      321
#define IDS_SAVE_FILTER         322
#define IDS_FILEPATH_TITLE      323
#define IDS_PUTTYPATH_FILTER    324
#define IDS_SSHPATH_FILTER      325
                
#define IDC_MULTIWINDOW         200
#define IDC_WINDOWED            201
#define IDC_FULLSCREEN          202
#define IDC_NODECORATION        203
#define IDC_MULTIWINDOW_IMG     204
#define IDC_WINDOWED_IMG        205
#define IDC_FULLSCREEN_IMG      206
#define IDC_NODECORATION_IMG    207
#define IDC_DISPLAY             208
#define IDC_DISPLAY_DESC        209

#define IDC_CLIENT_NONE         210
#define IDC_XDMCP               211
#define IDC_CLIENT              212
#define IDC_CLIENT_LOCAL        213
#define IDC_CLIENT_REMOTE_PUTTY 214
#define IDC_CLIENT_HOST         215
#define IDC_CLIENT_USER         216
#define IDC_CLIENT_REMOTE_SSH   217
#define IDC_CLIENT_CONFIGURE    218
#define IDC_CLIENT_PROGRAM      219
#define IDC_XDMCP_QUERY         220
#define IDC_XDMCP_BROADCAST     221
#define IDC_XDMCP_INDIRECT      222
#define IDC_XDMCP_HOST          223
#define IDC_CLIENT_NONE_DESC    224
#define IDC_XDMCP_DESC          225
#define IDC_CLIENT_DESC         226
#define IDC_XDMCP_QUERY_DESC    227
#define IDC_CLIENT_PROGRAM_DESC 228
#define IDC_CLIENT_HOST_DESC    229
#define IDC_CLIENT_USER_DESC    230
#define IDC_CLIENT_PASSWORD     231
#define IDC_CLIENT_PASSWORD_DESC 232
#define IDC_COMPRESS            233

#define IDC_FINISH_DESC		250
#define IDC_FINISH_SAVE		251
#define IDC_FINISH_SAVE_DESC    252
#define IDC_SAVEPASSWORD        253

#define IDC_CLIPBOARD           260
#define IDC_CLIPBOARD_DESC      261
#define IDC_EXTRA_PARAMS        262
#define IDC_EXTRA_PARAMS_DESC   263
#define IDC_FONT_SERVER         264
#define IDC_FONT_SERVER_DESC    265
#define IDC_NO_ACCESS_CONTROL   266
#define IDC_NO_ACCESS_CONTROL_DESC 267
#define IDC_EXTRA_SSH           268
#define IDC_EXTRA_SSH_DESC      269

#define IDI_XLAUNCH		400
#define IDB_XLAUNCH		401

#define IDS_UNKNOWN_OPTION	500
#define IDS_CANNOT_RUN		501
#define IDS_CANNOT_VALIDATE	502
#define IDS_CANNOT_LOAD		503
#define IDS_WRONG_OPTIONS	504
#define IDS_USAGE		505
#define IDS_PROGRAM_START_FAIL	506
#define IDS_OPEN_FAIL		507
#define IDS_REENTER_PASS	508
#define IDS_MSXML4_MESS		509
#define IDS_MSXML4_CAP		510
#define IDS_MSXML34_MESS	511
#define IDS_CANNOT_OPEN		512
#define IDS_MSXML4_CACHE	513
#define IDS_SCHEMA_MESS		514
#define IDS_SCHEMA_CAP		515
#define IDS_INVALID_MESS	516
#define IDS_INVALID_CAP		517
#define IDS_TRY_SAVE_MESS	518
#define IDS_TRY_SAVE_CAP	519
#define IDS_PASS_ENTRY_MESS	520
#define IDS_PASS_ENTRY_CAP	521
#define IDS_START_POP_MESS	522
#define IDS_START_POP_CAP	523
